"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const t = require("io-ts");
const kit_internal_types = require("../internal/types.cjs");
const settingsConfigForTask = (taskId) => settingsConfigForLogs(taskId);
const settingsConfigForTrial = (id) => settingsConfigForLogs(id);
const settingsConfigForLogs = (id) => ({
  settings: {
    agentId: {
      defaultValue: void 0,
      storageKey: "agentId",
      type: t.union([t.undefined, t.array(t.string)])
    },
    allocationId: {
      defaultValue: void 0,
      storageKey: "allocationId",
      type: t.union([t.undefined, t.array(t.string)])
    },
    containerId: {
      defaultValue: void 0,
      storageKey: "containerId",
      type: t.union([t.undefined, t.array(t.string)])
    },
    level: {
      defaultValue: void 0,
      storageKey: "level",
      type: t.union([
        t.undefined,
        t.array(
          t.union([
            t.literal(kit_internal_types.LogLevelFromApi.Critical),
            t.literal(kit_internal_types.LogLevelFromApi.Debug),
            t.literal(kit_internal_types.LogLevelFromApi.Error),
            t.literal(kit_internal_types.LogLevelFromApi.Info),
            t.literal(kit_internal_types.LogLevelFromApi.Trace),
            t.literal(kit_internal_types.LogLevelFromApi.Unspecified),
            t.literal(kit_internal_types.LogLevelFromApi.Warning)
          ])
        )
      ])
    },
    rankId: {
      defaultValue: void 0,
      storageKey: "rankId",
      type: t.union([t.undefined, t.array(t.number)])
    },
    searchText: {
      defaultValue: void 0,
      storageKey: "searchText",
      type: t.union([t.undefined, t.string])
    }
  },
  storagePath: `log-viewer-filters-${id}`
});
exports.settingsConfigForTask = settingsConfigForTask;
exports.settingsConfigForTrial = settingsConfigForTrial;
